Skip to main content
`Ctrl`+`K`

# PetscDSGetConstants

Returns the array of constants passed to point functions

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetConstants(PetscDS prob, PetscInt *numConstants, const PetscScalar *constants[])

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameters

- numConstants - The number of constants

- constants - The array of constants, NULL if there are none

## See Also

`PetscDS`, `PetscDSSetConstants()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages